/////////////////////////////////////////////////////////////////////////////
// Name:        mypanel.h (generated and maintained by wxWorkshop's RAD)
// Purpose:     
// Author:      
// Modified by:
// Created:     02/18/01 14:38:35
// RCS-ID:      $ Id$
// Copyright:   (c) 
// Licence:   	
/////////////////////////////////////////////////////////////////////////////

#ifndef __MYPANEL_G__
#define __MYPANEL_G__

#include "wx/wx.h"
#include "wx/wspp/all.h"

// %%INFO-{
// { TEMPL = "wxPanel for C++" WND_RES = "panel1" MENU_RES = "" IMP_FILE = "mypanel.cpp" DECL_FILE = "mypanel.h" CLASS = "MyPanel" RES_FILE = "demo.xrc" }
// %%INFO-}

class MyPanel : public wxPanel
{
public:
	MyPanel();
	~MyPanel();

	// %%EVT_DECLS-{
	void OnButtonHello( wxCommandEvent& event );
	void OnButtonGoodbye( wxCommandEvent& event );
	void OnButtonNiceday( wxCommandEvent& event );
	// %%EVT_DECLS-}	

	// %%GETTER_DECLS-{
	// %%GETTER_DECLS-}

	// %%SETTER_DECLS-{
	// %%SETTER_DECLS-}
	
	DECLARE_EVENT_TABLE()
	DECLARE_DYNAMIC_CLASS( MyPanel )	

protected:
	void ExchangeValues( bool toControls );
	void DoInit();	

protected:
	// %%MEMBER_DECLS-{
	// %%MEMBER_DECLS-}

	// %%CTL_MEMBER_DECLS-{
	wxButton* m_pHello; // { hello m_pHello }
	wxButton* m_pGoodbye; // { goodbye m_pGoodbye }
	wxButton* m_pNiceday; // { niceday m_pNiceday }
	// %%CTL_MEMBER_DECLS-}
};

#endif // __MYPANEL_G__
